- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TBrowserLogRoute
TDataFieldAccessor
TDateTimeStamp
TDbLogRoute
TEmailLogRoute
TFileLogRoute
TFirebugLogRoute
TFirePhpLogRoute
TLogger
TLogRoute
TLogRouter
TParameterModule
TSimpleDateFormatter
TVarDumper

Keyword

# Class TFirePhpLogRoute

    TComponent
       |
       --TApplicationComponent
          |
          --TLogRoute
             |
             --TFirePhpLogRoute

TFirePhpLogRoute class.

TFirePhpLogRoute prints log messages in the firebug log console via firephp.

FireBug Website FirePHP Website

Since: 3.1.5
Author: Yves Berkholz <godzilla80[at]gmx[dot]net>

Method Summary
string | getGroupLabel ()
void | processLogs ( mixed $logs)
void | setGroupLabel ( string $value)
protected void | translateLogLevel ( mixed $level)

Methods Inherited From TLogRoute
TLogRoute::collectLogs(), TLogRoute::formatLogMessage(), TLogRoute::getCategories(), TLogRoute::getLevelName(), TLogRoute::getLevels(), TLogRoute::getLevelValue(), TLogRoute::init(), TLogRoute::setCategories(), TLogRoute::setLevels()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | DEFAULT_LABEL | Default group label

Method Details

## getGroupLabel

public string getGroupLabel | ()

Output
string | group label. Defaults to TFirePhpLogRoute::DEFAULT_LABEL
Exception

## processLogs

public void processLogs | (mixed $logs )

Input
mixed | $logs |
Output
Exception

## setGroupLabel

public void setGroupLabel | (string $value )

Input
string | $value | group label.
Output
Exception

## translateLogLevel

protected void translateLogLevel | (mixed $level )

Input
mixed | $level |
Output
Exception

Constant Details

### DEFAULT_LABEL

Default group label

#### Type:

string

#### Value:

'System.Util.TLogRouter(TFirePhpLogRoute)'